<?php
/**
 * @package         JS FLY Cart
 *
 * @copyright   (C) 2022 Denis Karpov
 * @link            https://joomstudio.ru
 * @license         GNU General Public License version 2 or later
 * @version			1.0.0
 */

namespace Joomla\Module\Jsflycart\Site\Helper;

use Joomla\CMS\Application\CMSApplicationInterface;
use Joomla\Component\Jshopping\Site\Lib\JSFactory;
use Joomla\Registry\Registry;


\defined('_JEXEC') or die;

/**
 * The helper class of a module
 *
 * @since  1.0
 */
class JsflycartHelper
{

	public static function getAjax()
	{

		$cart = JSFactory::getModel('cart', 'jshop');
		$cart->load("cart");
		$cart->addLinkToProducts(1, $type = "cart");
		$ajax_cart = array(
			'count_products' => $cart->count_product,
			'price_product'  => \JSHelper::formatprice($cart->price_product),
		);

		return json_encode($ajax_cart);

	}

	/**
	 * Get a JoomShopping temp cart
	 *
	 * @param   Registry  &$params  object holding the models parameters
	 *
	 * @return object jshopCart
	 */
	public static function getCart(Registry &$params, CMSApplicationInterface $app)
	{
		$cart = \JSFactory::getModel('Cart', 'Site');
		$cart->load("cart");
		$cart->addLinkToProducts(1, $type = "cart");

		return $cart;
	}
}

?>